Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenFeatureValueSpec

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenFeatureInitializer, org.eclipse.emf.common.notify.Notifier, ValueExpression

All Known Implementing Classes:
  GenFeatureValueSpecImpl

    public interface GenFeatureValueSpec

extends ValueExpression, GenFeatureInitializer

A representation of the model object 'Gen Feature Value Spec'. Value specification associated with a specific feature

See Also:
  `GMFGenPackage.getGenFeatureValueSpec()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='ValueSpec'" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='type' ocl='feature.ecoreFeature'"

Method Summary

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ValueExpression
`getBody, getBodyString, getLangName, getLanguage, isOCLExpression, setBody, setLanguage`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenFeatureInitializer
`getAllFeatureSeqInitializers, getFeature, getFeatureQualifiedPackageInterfaceName, getFeatureSeqInitializer, setFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.